#include "colors.inc"
#include "ztex.inc"
#include "textures.inc"

camera { location <-5,-1,-15> look_at <1,-3,0> }
light_source { <17,205,60> color White }
sphere { <0,0,0>, 200 texture { Evening_Cloud_Sky scale 75 } hollow }

#declare Maslacak = union {
#declare ListMaslacka = union {
#declare Cy=-3
#declare Cr=3
#declare Cx=0
#while ( Cy<3 )
    #declare RnaQ = Cr * Cr
    #declare YnaQ = Cy * Cy
    #declare ZaQ = abs (RnaQ - YnaQ)
    #declare Cx=sqrt (ZaQ)
    sphere { <Cx,Cy,0>, .2 texture { GlassFrit scale 2 }}
    sphere { <0-Cx,0-Cy,0>, .2 texture { GlassFrit scale 2 }}
    cylinder { <Cx,Cy,0>, <0,0,0> .015 texture { Hollywood }}
    cylinder { <0-Cx,0-Cy,0>, <0,0,0>, .015 texture { Hollywood }}
    #declare Cy = Cy + .5
#end
}

#declare brojac=0
#declare sjeme = seed (0)
#declare sjeme2 = seed (123)
#while ( brojac < 11 )
    #declare lX = rand (sjeme) * 5
    #declare lY = rand (sjeme) * 5
    #declare lZ = rand (sjeme2) * 5
    triangle { <0,0,0>, <lX,lY,lZ>, <0,.2,0> texture { Hollywood }}
    triangle { <0,0,0>, <lX,0-lY,lZ>, <0,.2,0> texture { Hollywood }}
    triangle { <0,0,0>, <lX,lY,0-lZ>, <.2,0,0> texture { Hollywood }}
    triangle { <0,0,0>, <lX,0-lY,0-lZ>, <.2,.2,0> texture { Hollywood }}
    triangle { <0,0,0>, <0-lX,lY,lZ>, <0,.2,0> texture { Hollywood }}
    triangle { <0,0,0>, <0-lX,0-lY,lZ>, <0,.2,0> texture { Hollywood }}
    triangle { <0,0,0>, <0-lX,lY,0-lZ>, <.2,0,0> texture { Hollywood }}
    triangle { <0,0,0>, <0-lX,0-lY,0-lZ>, <.2,.2,0> texture { Hollywood }}
    #declare brojac = brojac + 1
#end

#declare Kut=0
#while ( Kut<180 )
    object { ListMaslacka rotate <0,Kut,0> }
    #declare Kut= Kut + 20
#end

cylinder { <0,0,0>, <-.5,-4,-.5>, .2 texture { Brain_Stomac }}
sphere { <-.5,-4,-.5>, .3 texture { Alien_Skin_2 }}
cylinder { <-.5,-4,-.5>, <0,-8,-.5>, .22 texture { Brain_Stomac }}
sphere { <0,-8,-.5>, .3 texture { Alien_Skin_2 }}
cylinder { <0,-8,-.5>, <.4,-15,.4>, .22 texture { Brain_Stomac }}

#declare Trn = union {
    triangle { <-.5,-4,-.3>, <-3,-4.3,-.6>, <-.5,-4,-.7> }
    triangle { <-.5,-4,-.3>, <3,-4.25,0>, <-.7,-4,-.7> }
    triangle { <-.3,-4,-.5>, <0,-4.3,-3>, <-.7,-4,-.5> }
    texture { Alien_Skin_2 }
}

#declare Trn2 = union {
    triangle { <.1,-8,-.5>, <4,-9,4>, <-.2,-8,-.2> }
    triangle { <.1,-8,-.5>, <2,-9,-4>, <-.2,-8,-.5> }
    triangle { <.2,-8,-.5>, <-4,-9,-2>, <-.2,-8,-.5> }
    texture { Alien_Skin_2 }
}

object { Trn }
object { Trn2 }
sphere { <0,0,0>, .65 texture { Ebony_Wood }}

}  // kraj definicije Maslacka


object { Maslacak translate <13,1,3> }
object { Maslacak scale .75 rotate <0,45,0> translate <6,-1,5> }
object { Maslacak scale .9 rotate <0,134,0> translate <-2.5,-1,4> }
object { Maslacak scale 1.1 rotate <0,85,0> translate <-6,-1,-8> }
object { Maslacak scale .88 rotate <0,287,0> translate <6,-1,-6.5> }
object { Maslacak scale .92 rotate <0,12,0> translate <6,-1,15> }
object { Maslacak scale 1.03 rotate <0,88,0> translate <20,-1,20> }
object { Maslacak scale .82 rotate <0,160,0> translate <25,-1,25> }
object { Maslacak scale .87 rotate <0,250,0> translate <10,-1,25> }
object { Maslacak scale .99 rotate <0,300,0> translate <20,-1,12> }


#declare BlokZemlje = union {
    height_field { gif "pruge3.gif" smooth
        scale <30,20,30>
    }
    texture { NBmarble scale 10 }
}

height_field { gif "krater.gif" smooth
        scale <180,60,180>
        translate <17,-15,60>
        texture { NBmarble scale 50 }
}

#declare brojacTlaX = -60
#while ( brojacTlaX < 60 )
    #declare brojacTlaZ = -60
    #while ( brojacTlaZ < 60 )
        object { BlokZemlje translate <brojacTlaX,-15,brojacTlaZ> }
        #declare brojacTlaZ = brojacTlaZ + 30
    #end
    #declare brojacTlaX = brojacTlaX + 30
#end

