#include "colors.inc"
#include "textures.inc"

#declare Evening_Cloud_Sky = texture {
  pigment {
    bozo
    turbulence 0.5
    octaves 3
    lambda 6
    color_map {
      [0.0 0.1 color rgb < 0.8, 0.6,0.196078>
               color rgb < 0.8, 0.6,0.196078>]
      [1.0     color rgb <1, 1, 0.8,>]
    }
  }
  finish { ambient 1 }
  scale <1,1,1>/6  
}

#declare Hollywood = texture {
  pigment {
    onion
    turbulence 0.6
    color_map {
      [0   0.29   color rgb <0.9136, 0.8418, 0.8764>
                  color rgb <0.9136, 0.8418, 0.8764>]
      [0.29 0.93  color rgb <0.4478, 0.7337, 0.4993>
                  color rgb <0.2489, 0.3407, 0.2393>]
      [0.93 1.001 color rgb <0.4917, 0.9572, 0.0833>
                  color rgb <0.0667, 0.4001, 0.3527>]
    }
  }
  finish {phong 1.0 ambient 0.4}
  normal {ripples 1.0}
  rotate <340  72 287>
  scale  <0.1 0.9 4.0>
}

#declare Alien_Skin_2 = texture {
  pigment { color rgb <0.02,0.72,0.62> }
  normal {
    hexagon 0.1
    turbulence 0.1
    lambda 2
    scale <0.1,0.1,0.1>
  }
  finish {
    phong 0.5
    reflection 0.1
  }
}

#declare Brain_Stomac = texture {
  pigment { color rgb <1.0,0.72,0.62> }
  normal {
    spotted 0.7
    turbulence 0.2
    lambda 2
    scale 0.1
  }
  finish {
    phong 0.5
    reflection 0.1
  }
}

#declare Ebony_Wood = texture {
  pigment {
    agate
    color_map {
      [0.0 0.5   color rgb <0.21, 0.1, 0.1>
                 color rgb <0.25, 0.25, 0.01>]
      [0.5 0.6   color rgb <0.25, 0.25, 0.01>
                 color rgb <0.3, 0.1, 0.1>]
      [0.6 1.001 color rgb <0.15, 0.1, 0.1>
                 color rgb <0.15, 0.1, 0.1>]
    }
  }
  finish {ambient 0.6 phong 1.0}
}

#declare GlassFrit = texture {
  pigment {
    spotted
    turbulence 0.25
    color_map {
      [0.0, 0.1 color Brown color Black]
      [0.1, 0.5 color White filter 0.98 color White filter 0.98]
      [0.5, 0.51 color Brown color Black]
      [0.51, 1.0 color White filter 0.98 color White filter 0.98]
    }
  }
  finish {
    ambient 0.2
    diffuse 0.5
    specular 1.0
    reflection 0.15
    refraction 1.0
    ior 1.33
    roughness 0.0001
  }
  scale <.1, .1, .1>
}

#declare Mbase = color Gray95
#declare Mfade = color Gray65
#declare Mvein = color Gray10
#declare MfLo  = .2   
#declare MfHi  = .85  

#declare NBmarble=
texture {
   pigment {marble
      turbulence 1.15
      color_map{
         [0   color Mbase]
         [MfLo  color Mbase]
         [MfHi color Mfade]
         [.95 color Mvein]
         [1   color Mvein]
      }
      rotate <57,33,-19>
   }
   finish {Shiny
    reflection .2
   }
}



